Open MCP Portaldocs
ReferenceAdmin

Grant a platform gateway to a team, a user or an SSO group (platform admins)

POST/v1/admin/gateways/{gatewayId}/grants

403 team_gateway for a team gateway. 409 grant_exists. 404 subject_not_found for an unknown team or user.

Path Parameters

gatewayId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Exactly one of team, userEmail or group, matching subjectKind

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/admin/gateways/497f6eca-6276-4993-bfeb-53cbbbba6f08/grants" \  -H "Content-Type: application/json" \  -d '{    "subjectKind": "team"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "subjectKind": "team",    "team": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "slug": "string",      "name": "string"    },    "user": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "email": "string",      "displayName": "string",      "status": "active"    },    "group": "string",    "createdAt": "2019-08-24T14:15:22Z",    "addedByName": "string"  }}